org.eclnt.editor.messaging

## Class EditorMessageSender

- java.lang.Object
- - org.eclnt.editor.messaging.EditorMessageSender

-     public class EditorMessageSender
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MT_LAYOUTCONTENTS`
    `static java.lang.String` | `MT_LAYOUTLIST`
    `static java.lang.String` | `MT_LAYOUTSAVES`
    `static java.lang.String` | `MT_LAYOUTUPDATEDOWNLOADSTAMPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorMessageSender()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `sendLayoutSynchMessage(java.lang.String messageType, java.lang.String message)`
    `static void` | `sendLayoutSynchMessageResponse(java.lang.String messageType, java.lang.String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MT_LAYOUTLIST

          public static java.lang.String MT_LAYOUTLIST

    - #### MT_LAYOUTCONTENTS

          public static java.lang.String MT_LAYOUTCONTENTS

    - #### MT_LAYOUTSAVES

          public static java.lang.String MT_LAYOUTSAVES

    - #### MT_LAYOUTUPDATEDOWNLOADSTAMPS

          public static java.lang.String MT_LAYOUTUPDATEDOWNLOADSTAMPS

  - ### Constructor Detail

    - #### EditorMessageSender

          public EditorMessageSender()

  - ### Method Detail

    - #### sendLayoutSynchMessage

          public static void sendLayoutSynchMessage(java.lang.String messageType,
                                                    java.lang.String message)

    - #### sendLayoutSynchMessageResponse

          public static void sendLayoutSynchMessageResponse(java.lang.String messageType,
                                                            java.lang.String message)

Copyright © CaptainCasa Gmbh. All Rights Reserved.